> ## Documentation Index
> Fetch the complete documentation index at: https://developers.apartmentiq.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Floorplans

> Retrieves a list of [floorplans](#response-data-attributes-floor-plans-by-bed-bath) for a comp set.



## OpenAPI

````yaml /openapi/v1/schema.json get /comp_sets/{comp_set_id}/floor_plans
openapi: 3.0.3
info:
  title: ApartmentIQ API
  version: 1.14.0
  termsOfService: https://www.getapartmentiq.com/terms
  x-logo:
    url: https://developers.apartmentiq.io/logo.svg
    altText: ApartmentIQ
  description: >-
    ApartmentIQ API providing Accounts, Market Surveys, Markets, Market
    Narratives, and Forecasts endpoints to access accounts, comp sets, market
    survey tables, units, floorplans, and market-based property data. See
    documentation pages for authentication, errors, and rate limits.
servers:
  - url: https://data.apartmentiq.io/apartmentiq/api/v1
security:
  - oauth2: []
tags:
  - name: Accounts
    description: >-
      Endpoints for listing the ApartmentIQ accounts accessible to the
      authenticated user.
  - name: Market Surveys
    description: >-
      Market Survey endpoints can be used to access data related to your market
      surveys within ApartmentIQ. The ApartmentIQ API refers to the list of
      properties within your market surveys as a comp set, or competitive set.
      In the rest of this document, comp set and competitive set will be used
      interchangeably.
  - name: Markets
    description: Endpoints used to access market data.
  - name: Bulk Data Export
    description: >-
      Endpoints for requesting and downloading historical property data through
      asynchronous batch jobs. Submit a job request, monitor its status, and
      download results when ready.
  - name: Forecasts
    description: >-
      Endpoints for retrieving modeled future time-series forecast data for
      geographic boundaries and properties. Forecast data spans from the
      beginning of the current month up to 5 years in the future. Requires
      Explore Pro access.
paths:
  /comp_sets/{comp_set_id}/floor_plans:
    get:
      tags:
        - Market Surveys
      summary: List Floorplans
      description: >-
        Retrieves a list of
        [floorplans](#response-data-attributes-floor-plans-by-bed-bath) for a
        comp set.
      operationId: getFloorplans
      parameters:
        - $ref: '#/components/parameters/comp_set_id'
        - $ref: '#/components/parameters/filter_bedroom_count'
        - $ref: '#/components/parameters/filter_bathroom_count'
        - $ref: '#/components/parameters/filter_iq_property_ids'
        - $ref: '#/components/parameters/filter_size_gte'
        - $ref: '#/components/parameters/filter_size_lte'
        - $ref: '#/components/parameters/filter_rent_gte'
        - $ref: '#/components/parameters/filter_rent_lte'
        - $ref: '#/components/parameters/filter_date_available_gte'
        - $ref: '#/components/parameters/filter_date_available_lte'
        - $ref: '#/components/parameters/filter_year_built_gte'
        - $ref: '#/components/parameters/filter_year_built_lte'
        - $ref: '#/components/parameters/filter_unit_style'
        - $ref: '#/components/parameters/filter_aggregation_type'
      responses:
        '200':
          description: >-
            A Map with a `data` attribute that contains an array of
            [floorplans](#model/floorplan) for the [comp set](#model/compset).
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        description: ID of the comp set.
                        example: '11848667'
                      type:
                        type: string
                        description: Type of data returned in the response.
                        example: floorplan
                      attributes:
                        type: object
                        oneOf:
                          - type: object
                            properties:
                              floor_plans_by_bed_bath:
                                type: array
                                description: >-
                                  List of floorplans by bedroom and bathroom
                                  count.
                                items:
                                  type: object
                                  properties:
                                    bedroom_count:
                                      type: integer
                                      description: Number of bedrooms in the floorplan.
                                      example: 1
                                    bathroom_count:
                                      type: integer
                                      description: Number of bathrooms in the floorplan.
                                      example: 1
                                    floor_plan_summary:
                                      $ref: '#/components/schemas/FloorPlan'
                                    floor_plans:
                                      type: array
                                      description: >-
                                        List of floorplans for the bedroom and
                                        bathroom count by property.
                                      items:
                                        $ref: '#/components/schemas/FloorPlan'
                          - type: object
                            properties:
                              floor_plans_by_bed:
                                type: array
                                description: List of floorplans by bedroom count.
                                items:
                                  type: object
                                  properties:
                                    bedroom_count:
                                      type: integer
                                      description: Number of bedrooms in the floorplan.
                                      example: 1
                                    floor_plan_summary:
                                      $ref: '#/components/schemas/FloorPlan'
                                    floor_plans:
                                      type: array
                                      description: >-
                                        List of floorplans for the bedroom and
                                        bathroom count by property.
                                      items:
                                        $ref: '#/components/schemas/FloorPlan'
        '400':
          description: The request was invalid or malformed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized - Invalid or missing authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: The user does not have permission to access this resource.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: The requested resource was not found.
        '429':
          $ref: '#/components/responses/RateLimitExceeded'
        '500':
          description: >-
            An unexpected error occurred while processing the request. Our team
            is investigating.
components:
  parameters:
    comp_set_id:
      name: comp_set_id
      in: path
      description: ID of the comp set to get data for.
      required: true
      schema:
        type: string
      example: '11848667'
    filter_bedroom_count:
      name: filter[bedroom_count]
      description: Filter the data by a comma-separated list of bedroom counts.
      in: query
      schema:
        type: string
      example: 1,2
    filter_bathroom_count:
      name: filter[bathroom_count]
      description: Filter the data by a comma-separated list of bathroom counts.
      in: query
      schema:
        type: string
      example: 1,2
    filter_iq_property_ids:
      name: filter[iq_property_ids]
      description: Filter the data by a comma-separated list of property IDs.
      in: query
      schema:
        type: string
      example: 123,456
    filter_size_gte:
      name: filter[size_gte]
      description: Filter the data by minimum unit size, in square feet.
      in: query
      schema:
        type: integer
      example: 500
    filter_size_lte:
      name: filter[size_lte]
      description: Filter the data by maximum unit size, in square feet.
      in: query
      schema:
        type: integer
      example: 900
    filter_rent_gte:
      name: filter[rent_gte]
      description: Filter the data by minimum rent, in dollars.
      in: query
      schema:
        type: integer
      example: 1000
    filter_rent_lte:
      name: filter[rent_lte]
      description: Filter the data by maximum rent, in dollars.
      in: query
      schema:
        type: integer
      example: 2000
    filter_date_available_gte:
      name: filter[date_available_gte]
      in: query
      description: Filter the data by minimum date available, in ISO 8601 format.
      schema:
        type: string
        format: date
      example: '2025-08-05'
    filter_date_available_lte:
      name: filter[date_available_lte]
      in: query
      description: Filter the data by maximum date available, in ISO 8601 format.
      schema:
        type: string
        format: date
      example: '2025-10-05'
    filter_year_built_gte:
      name: filter[year_built_gte]
      description: Filter the data by minimum year built.
      in: query
      schema:
        type: integer
      example: 2005
    filter_year_built_lte:
      name: filter[year_built_lte]
      description: Filter the data by maximum year built.
      in: query
      schema:
        type: integer
      example: 2025
    filter_unit_style:
      name: filter[unit_style]
      description: >-
        Filter the data by a comma-separated list of unit styles, where unit
        styles are affordable, standard, penthouse, or renovated.
      in: query
      schema:
        type: string
      example: standard,renovated
    filter_aggregation_type:
      name: filter[aggregation_type]
      in: query
      description: >-
        Optional aggregation type to apply to the floor plan results (for
        example, averaging across units). If omitted, the service default is
        used.
      schema:
        type: string
      example: avg
  schemas:
    FloorPlan:
      type: object
      description: Summary of the floorplan.
      properties:
        asking_rent:
          type: number
          description: Asking rent of the floorplan.
          example: 1841.3333
          format: float
        asking_rent_change:
          type: number
          description: Asking rent change of the floorplan.
          example: -28.5
          format: float
        asking_rent_change_percent:
          type: number
          description: Percent change in asking rent of the floorplan.
          example: -1.5
          format: float
        asking_rent_over_time:
          type: array
          description: List of asking rents over time for the floorplan.
          items:
            type: object
            properties:
              collected_at:
                type: string
                description: Date the asking rent was collected, in ISO 8601 format.
                example: '2024-09-10T23:59:59.999Z'
                format: date-time
              value:
                type: number
                description: >-
                  Asking rent of the floorplan at the time the data was
                  collected.
                example: 1841.3333
                format: float
        asking_rent_per_sq_ft:
          type: number
          description: Asking rent per square foot of the floorplan.
          example: 1.83
          format: float
        bathroom_count:
          type: integer
          description: Number of bathrooms in the floorplan.
          example: 1
        bedroom_count:
          type: integer
          description: Number of bedrooms in the floorplan.
          example: 1
        days_on_market:
          type: integer
          description: >-
            Number of days the floorplan has been on the market since it started
            being advertised.
          example: 81
        name:
          type: string
          description: Name of the floorplan.
          example: A3 - Clearwater
        net_effective_rent:
          type: number
          description: Net effective rent of the floorplan.
          example: 1841.3333
          format: float
        net_effective_rent_change:
          type: number
          description: Net effective rent change of the floorplan.
          example: -28.5
          format: float
        net_effective_rent_change_percent:
          type: number
          description: Percent change in net effective rent of the floorplan.
          example: -1.5
          format: float
        net_effective_rent_over_time:
          type: array
          description: List of net effective rents over time for the floorplan.
          items:
            type: object
            properties:
              collected_at:
                type: string
                description: Date the net effective rent was collected, in ISO 8601 format.
                example: '2024-09-10T23:59:59.999Z'
                format: date-time
              value:
                type: number
                description: >-
                  Net effective rent of the floorplan at the time the data was
                  collected.
                example: 1841.3333
                format: float
        net_effective_rent_per_sq_ft:
          type: number
          description: Net effective rent per square foot of the floorplan.
          example: 1.83
          format: float
        property_id:
          type: integer
          description: ID of the property the floorplan belongs to.
          example: 99030676
        property_name:
          type: string
          description: Name of the property the floorplan belongs to.
          example: Cortland Bowery
        sqft:
          type: number
          description: Square footage of the floorplan.
          example: 785.9565217391304
          format: float
        subject_property:
          type: boolean
          description: Whether the property is the subject property of this comp set.
          example: true
        unit_count:
          type: integer
          description: Number of available units in the floorplan.
          example: 35
        unit_mix_est:
          type: number
          description: Estimated total number of units of the floorplan.
          example: 260
          format: float
        unit_mix_percent:
          type: number
          description: Percent of the property's units that are of the floorplan.
          example: 0.1
          format: float
    Error:
      type: object
      description: >-
        Error response payload. Most errors include error and optional message;
        some validation responses include errors; quota responses include quota
        fields.
      properties:
        error:
          type: string
          description: Short error message
          example: Invalid parameter
        message:
          type: string
          description: Optional detailed message
          example: account_id is required
        errors:
          type: array
          description: Optional list of validation errors.
          items:
            type: string
        quota_limit:
          type: integer
          description: >-
            Quota limit that applied to the request when an account quota was
            exceeded.
        quota_usage:
          type: integer
          description: Current quota usage when an account quota was exceeded.
  responses:
    RateLimitExceeded:
      description: >-
        Rate limit exceeded. Inspect the rate limit headers and wait before
        retrying.
      headers:
        X-RateLimit-Limit:
          description: The limit that applied to the request.
          schema:
            type: string
        X-RateLimit-Reset-After:
          description: The rate limit window length, in seconds.
          schema:
            type: string
        X-RateLimit-Reset:
          description: Unix timestamp when the current window resets.
          schema:
            type: string
        Retry-After:
          description: Seconds to wait before retrying the request.
          schema:
            type: string
      content:
        text/plain:
          schema:
            type: string
          example: |
            You have exceeded the rate limit for this API.
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Trial API quota limit exceeded
            quota_limit: 5000
            quota_usage: 5001
  securitySchemes:
    oauth2:
      type: oauth2
      description: >-
        Enter a Bearer token obtained via the OAuth client credentials flow or
        from the Access Tokens tab in your account settings.
      flows:
        clientCredentials:
          tokenUrl: https://data.apartmentiq.io/oauth/token
          scopes: {}

````